Hacks.
[windows-environment.git] / download_all
1 #!/bin/bash -e
2 set -e
3
4 DIRECT=0
5
6 source ./config.sh
7 CURL="$CBS_CURL -L -O -f"
8
9 dl() {
10   set +e
11   if [ "$DIRECT" == "1" ]; then
12     $CURL $1/$2
13     if [ "$?" != "0" ]; then
14       echo "Failed to download $1/$2"
15       exit 1
16     fi
17   else
18     $CURL https://dcpomatic.com/deps/osx/$2
19     if [ "$?" != "0" ]; then
20       echo "Failed to download $2 from dcpomatic.com"
21       exit 1
22     fi
23   fi
24   set -e
25 }
26
27 mkdir -p Archives
28 cd Archives
29
30 dl http://www.mega-nerd.com/libsndfile/files libsndfile-1.0.25.tar.gz
31 dl https://libzip.org/download libzip-1.7.3.tar.xz
32 dl https://curl.haxx.se/download curl-7.32.0.tar.bz2
33 dl https://download.gnome.org/sources/glibmm/2.58 glibmm-2.58.1.tar.xz
34 dl https://dl.bintray.com/boostorg/release/1.74.0/source boost_1_74_0.tar.bz2
35 dl http://cairographics.org/releases cairo-1.16.0.tar.xz
36 dl http://cairographics.org/releases cairomm-1.14.2.tar.xz
37 dl https://github.com/libexpat/libexpat/releases/download/R_2_2_10 expat-2.2.10.tar.xz
38 dl ftp://sourceware.org/pub/libffi libffi-3.3.tar.gz
39 dl http://downloads.xiph.org/releases/flac flac-1.3.3.tar.xz
40 dl http://download.savannah.gnu.org/releases/freetype freetype-2.10.4.tar.xz
41 dl http://www.freedesktop.org/software/fontconfig/release fontconfig-2.13.93.tar.xz
42 dl https://ftp.gnu.org/pub/gnu/gettext gettext-0.20.1.tar.gz
43 dl http://www.freedesktop.org/software/harfbuzz/release harfbuzz-2.7.2.tar.xz
44 dl http://www.ijg.org/files jpegsrc.v8d.tar.gz
45 dl http://downloads.xiph.org/releases/ogg libogg-1.3.1.tar.gz
46 dl https://www.libssh.org/files/0.9 libssh-0.9.5.tar.xz
47 dl http://ftpmirror.gnu.org/libtool libtool-2.4.2.tar.gz
48 dl https://download.gnome.org/sources/pango/1.48 pango-1.48.0.tar.xz
49 dl http://download.osgeo.org/libtiff tiff-4.0.10.tar.gz
50 dl http://downloads.sourceforge.net/project/libpng/libpng15/older-releases/1.5.13 libpng-1.5.13.tar.xz
51 dl http://download.savannah.gnu.org/releases/freetype freetype-2.10.4.tar.xz
52 dl http://xmlsoft.org/sources libxml2-2.9.1.tar.gz
53 dl http://xmlsoft.org/sources libxslt-1.1.28.tar.gz
54 dl https://imagemagick.org/download/releases/ImageMagick-7.0.10-31.tar.xz ImageMagick-7.0.10-31.tar.xz
55 dl https://www.aleksey.com/xmlsec/download xmlsec1-1.2.31.tar.gz
56 dl http://ftp.gnome.org/pub/gnome/sources/glib/2.66 glib-2.66.4.tar.xz
57 dl https://github.com/libsigcplusplus/libsigcplusplus/releases/download/2.10.6 libsigc++-2.10.6.tar.xz
58 dl http://cairographics.org/releases pixman-0.32.2.tar.gz
59 dl https://download.gnome.org/sources/libxml++/2.42/ libxml++-2.42.0.tar.xz
60 dl http://ftp.gnome.org/pub/GNOME/sources/pangomm/2.42 pangomm-2.42.2.tar.xz
61 dl http://downloads.xiph.org/releases/vorbis libvorbis-1.3.5.tar.xz
62 dl https://pkg-config.freedesktop.org/releases pkg-config-0.29.2.tar.gz
63 dl https://www.openssl.org/source openssl-1.1.1h.tar.gz
64 dl https://github.com/unicode-org/icu/releases/download/release-68-2 icu4c-68_2-src.tgz
65 dl https://ftp.gnu.org/gnu/nettle nettle-3.6.tar.gz
66 dl http://www.mega-nerd.com/SRC libsamplerate-0.1.8.tar.gz
67 dl http://apache.mirror.iphh.net//xerces/c/3/sources xerces-c-3.2.3.tar.xz
68 dl https://github.com/nanomsg/nanomsg/archive nanomsg-1.1.5.tar.gz
69 dl https://github.com/ninja-build/ninja/releases/download/v1.10.1 ninja-mac.zip
70 dl https://zlib.net zlib-1.2.11.tar.gz
71 dl https://github.com/mesonbuild/meson/releases/download/0.56.0 meson-0.56.0.tar.gz
72
73 rm -rf x264
74 git clone git://git.carlh.net/git/x264.git
75 git -C x264 checkout 4121277b40a667665d4eea1726aefdc55d12d110
76 tar c x264 | bzip2 -f -9 > x264-4121277.tar.bz2
77
78 rm -rf wxWidgets
79 git clone git://git.carlh.net/git/wxWidgets.git
80 pushd wxWidgets
81 git submodule update --init --recursive
82 git checkout 1db3751235b251ba5beadd04bccf00065ec8388c
83 popd
84 tar c wxWidgets | bzip2 -f -9 > wxWidgets-1db3751.tar.bz2